prometheus-node-exporter:
  image:
    registry: "hub.gitee.local:5000/base-platform"
    repository: node-exporter

grafana:
  image:
    registry: "hub.gitee.local:5000/base-platform"
    repository: grafana
    tag: "12.4.1"
  sidecar:
    image:
      registry: "hub.gitee.local:5000/base-platform"
      repository: k8s-sidecar

kube-state-metrics:
  image:
    registry: "hub.gitee.local:5000/base-platform"
    repository: kube-state-metrics
  containers:
    - name: crd-init
      image: hub.gitee.local:5000/base-platform/k8s-sidecar:2.5.0
  
  initContainers:
    - name: crd-sidecar
      image: hub.gitee.local:5000/base-platform/k8s-sidecar:2.5.0


victoria-metrics-operator:
  image:
    registry: "hub.gitee.local:5000/base-platform"
    repository: "operator"
    tag: "v0.68.3"
  crds:
    cleanup:
      enabled: true
      image:
        repository: "hub.gitee.local:5000/base-platform/kubectl"
  env:
    # 配置重载器
    - name: VM_CONFIG_RELOADER_IMAGE
      value: "hub.gitee.local:5000/base-platform/operator:config-reloader-v0.53.0"
    
    # VMAlert 告警服务
    - name: VM_VMALERTDEFAULT_IMAGE
      value: "hub.gitee.local:5000/base-platform/vmalert"
    
    # VMAgent 采集代理
    - name: VM_VMAGENTDEFAULT_IMAGE
      value: "hub.gitee.local:5000/base-platform/vmagent"
    
    # VMSingle 单机版时序数据库
    - name: VM_VMSINGLEDEFAULT_IMAGE
      value: "hub.gitee.local:5000/base-platform/victoria-metrics"
    
    # VMCluster 集群组件 - 查询层
    - name: VM_VMCLUSTERDEFAULT_VMSELECTDEFAULT_IMAGE
      value: "hub.gitee.local:5000/base-platform/vmselect"
    
    # VMCluster 集群组件 - 存储层
    - name: VM_VMCLUSTERDEFAULT_VMSTORAGEDEFAULT_IMAGE
      value: "hub.gitee.local:5000/base-platform/vmstorage"
    
    # VMCluster 集群组件 - 写入层
    - name: VM_VMCLUSTERDEFAULT_VMINSERTDEFAULT_IMAGE
      value: "hub.gitee.local:5000/base-platform/vminsert"
    
    # VMBackup 备份工具
    - name: VM_VMBACKUP_IMAGE
      value: "hub.gitee.local:5000/base-platform/vmbackup"
    
    # VMAuth 认证代理
    - name: VM_VMAUTHDEFAULT_IMAGE
      value: "hub.gitee.local:5000/base-platform/vmauth"
    
    # VMAlertmanager 使用的基础 Alertmanager 镜像
    - name: VM_VMALERTMANAGER_ALERTMANAGERDEFAULTBASEIMAGE
      value: "hub.gitee.local:5000/base-platform/alertmanager"
